WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: WordPress HTTPS (SSL)] HTTPS recent upgrade break SSL based webform

[Resolved] [Plugin: WordPress HTTPS (SSL)] HTTPS recent upgrade break SSL based webform

  • With a recent upgrade of HTTPS (3.1 and in 3.2) something broke with respect to a opt-in web form that links to a SSL based URL.

    My page is in HTTP mode, but when we process the opt-in form code we post to a SSL page and then it breaks with an error on the destination page.

    Here is an example of the opt-in form error with WordPress HTTPS v3.2 is active. Simply enter in some data into the form and submit it.
    http://preprod.dreamuniversity.com/gift/

    Here is the same WP site and opt-in form without WordPress HTTPS v3.2 active:
    http://dreamuniversity.com/gift/

    Both sites are almost identical with the only exception being data, but the WP version and plug-ins are the same.

    http://wordpress.org/extend/plugins/wordpress-https/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Mike Ems

    @mvied

    What settings do you have enabled?

    Hi my site http://www.members.transmentum.com
    the subscription pages and paypal forms do not display the site template
    this only happens in IE and Chrome. Its broken, I have had to turn the plugin off in order for the pages to display.

    I have enabled
    Any page that is not secured via Force SSL or URL Filters will be redirected to HTTP.

    My settings are pretty basic.

    SSL Host is set to the domain.

    Force SSL Administration, Force SSL Exclusively, Remove Unsecure Elements and Debug Mode are off.

    Proxy is No.

    Admin Menu Location is set to Admin Sidebar.

    No URL Filters are defined.

    [ Please do not bump, that’s not permitted here. ]

    Plugin Author Mike Ems

    @mvied

    This will be resolved in the next release. You can try the development version if you’d like and let me know if it’s working correctly for you.

    Thanks for this.

    What is the ETA on the next release?

    Plugin Author Mike Ems

    @mvied

    Waiting on feedback from a few other users with issues they are experiencing, so it depends. There is no harm in using the development version; it is always stable. You will be notified when the new version is available via the Dashboard and I generally post in topics where users are waiting on the new version.

    I see a 3.2.1 release. Is it fixed in that?

    Plugin Author Mike Ems

    @mvied

    Yep

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Resolved] [Plugin: WordPress HTTPS (SSL)] HTTPS recent upgrade break SSL based webform’ is closed to new replies.